TechDraw Leitbemaßung

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw LandmarkDimension and the translation is 50% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎русский
Arrow-left.svg Vorherige: TechDraw Balloon.svg Ballon
Nächste: ExportSeiteSVG TechDraw ExportPageSVG.svg Arrow-right.svg

TechDraw Dimension Landmark.svg TechDraw Leitbemaßung

Menüeintrag
TechDraw → Bemaßungen → Leitmaß einfügen
Arbeitsbereich
TechDraw
Standardtastenkürzel
Keiner
Eingeführt in Version
0.19
Siehe auch
TechDraw Horizontalbemaßung, TechDraw Vertikalbemaßung

Beschreibung

Das Leitbemaßungswerkzeug fügt einer Ansicht eine lineare Dimension hinzu. Die Bemaßung basiert auf zwei Punkten Funktion (Draft.Point oder Part.Vertex) aus dem 3D Modell. Beachte, daß es sich bei den Punkten um Funktions Objekte handeln muß, die in der Modell Baumansicht erscheinen. Zufällige Knoten aus einer Form funktionieren nicht.

Der Zweck dieses Werkzeugs ist es, eine Abhilfe gegen das Korrumpieren der Bemaßung zu schaffen, die durch "topologische Benennung" Themen verursacht wird. Die Quellpunkte sollten Ausdrücke oder andere enthaltenden Mechanismen verwenden, um ihre Position zu bestimmen. Da es sich bei den Punkten um Dokumentobjekte und nicht um Formkomponenten handelt, ändert sich ihr Name bei Neuberechnungen nicht, so dass sie leicht gefunden werden können.

Siehe die Begrenzung und Abhilfeabschnitte der TechDraw Bemaßungslänge für Weiteres über Bemaßungen und topologische Benennung.

Die Leitbemaßung verhält sich im Allgemeinen wie jede andere Bemaßung

Anwendung

  1. Wähle 2 Punktobjekte in der Baumansicht oder der 3D Ansicht.
  2. Wähle auch die Ansicht, zu der die Bemaßung hinzugefügt werden soll.
  3. Drücke die TechDraw LandmarkDimension.svg Leitbemaßung Schaltfläche oder TechDraw → Leitbemaßung
  4. Eine Bemaßung wird der Ansicht hinzugefügt. Der Bemaßungstext kann an die gewünschte Position gezogen werden.

Begrenzungen

Das Leitbemaßungswerkzeug ist zunächst auf die "Abstand" Bemaßung beschränkt. Andere Typen könnten hinzugefügt werden, wenn die Nachfrage dies rechtfertigt.

Eigenschaften

Leitbemaßung führt keine neuen Eigenschaften ein.

Skripten

Siehe auch: TechDraw API und FreeCAD Grundlagen Skripten.

Das Leitbemaßungswerkzeug kann in Makros und aus der Python Konsole mit den folgenden Funktionen verwendet werden:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::LandmarkDimension','Landmark')
dim1.Type = "Distance"
dim1.References2D=[(TDView, 'Vertex1')]
dim1.References3D=[(Point3d1, 'Vertex1')]
dim1.References3D=[(Point3d2, 'Vertex1')]
rc = page.addView(dim1)


Arrow-left.svg Vorherige: TechDraw Balloon.svg Ballon
Nächste: ExportSeiteSVG TechDraw ExportPageSVG.svg Arrow-right.svg